org.apache.sysds.runtime.io

## Class ReaderBinaryBlock

- java.lang.Object
- - org.apache.sysds.runtime.io.MatrixReader
  - - org.apache.sysds.runtime.io.ReaderBinaryBlock

- Direct Known Subclasses:
    ReaderBinaryBlockParallel

      public class ReaderBinaryBlock
      extends MatrixReader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReaderBinaryBlock(boolean localFS)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayList<IndexedMatrixValue>` | `readIndexedMatrixBlocksFromHDFS(String fname, long rlen, long clen, int blen)`
    `MatrixBlock` | `readMatrixFromHDFS(String fname, long rlen, long clen, int blen, long estnnz)`
    `MatrixBlock` | `readMatrixFromInputStream(InputStream is, long rlen, long clen, int blen, long estnnz)`
    `void` | `setLocalFS(boolean flag)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReaderBinaryBlock

          public ReaderBinaryBlock(boolean localFS)

  - ### Method Detail

    - #### setLocalFS

          public void setLocalFS(boolean flag)

    - #### readMatrixFromHDFS

          public MatrixBlock readMatrixFromHDFS(String fname,
                                                long rlen,
                                                long clen,
                                                int blen,
                                                long estnnz)
                                         throws IOException,
                                                DMLRuntimeException

      Specified by:
        `readMatrixFromHDFS` in class `MatrixReader`
      Throws:
        `IOException`
        `DMLRuntimeException`

    - #### readMatrixFromInputStream

          public MatrixBlock readMatrixFromInputStream(InputStream is,
                                                       long rlen,
                                                       long clen,
                                                       int blen,
                                                       long estnnz)
                                                throws IOException,
                                                       DMLRuntimeException

      Specified by:
        `readMatrixFromInputStream` in class `MatrixReader`
      Throws:
        `IOException`
        `DMLRuntimeException`

    - #### readIndexedMatrixBlocksFromHDFS

          public ArrayList<IndexedMatrixValue> readIndexedMatrixBlocksFromHDFS(String fname,
                                                                               long rlen,
                                                                               long clen,
                                                                               int blen)
                                                                        throws IOException,
                                                                               DMLRuntimeException

      Throws:
        `IOException`
        `DMLRuntimeException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.